Summary:	Connection Manager
Summary(pl.UTF-8):	Zarządca połączeń
Name:		connman
Version:	1.26
Release:	1
License:	GPL v2
Group:		Networking/Daemons
Source0:	https://www.kernel.org/pub/linux/network/connman/%{name}-%{version}.tar.xz
# Source0-md5:	ba05b110b7c81e5fa14e8b402ef37a9e
Patch0:		%{name}-linux.patch
URL:		https://connman.net/
BuildRequires:	dbus-devel >= 1.4
BuildRequires:	glib2-devel >= 1:2.28
BuildRequires:	gnutls-devel
BuildRequires:	iptables-devel >= 1.4.11
BuildRequires:	pkgconfig
BuildRequires:	polkit-devel
BuildRequires:	ppp-plugin-devel
BuildRequires:	readline-devel
BuildRequires:	systemd-devel
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
Requires:	dbus >= 1.4
Requires:	glib2 >= 1:2.28
Requires:	iptables-libs >= 1.4.11
Obsoletes:	connman-plugin-wimax
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		skip_post_check_so	libppp-plugin.so.*

%description
The ConnMan project provides a daemon for managing Internet
connections within embedded devices running the Linux operating
system. The Connection Manager is designed to be slim and to use as
few resources as possible, so it can be easily integrated. It is a
fully modular system that can be extended, through plug-ins, to
support all kinds of wired or wireless technologies. Also,
configuration methods, like DHCP and domain name resolving, are
implemented using plug-ins. The plug-in approach allows for easy
adaption and modification for various use cases.

%description -l pl.UTF-8
Projekt ConnMan udostępnia demona do zarządzania połączeniami z
Internetem na urządzeniach wbudowanych z działającym Linuksem jako
systemem operacyjnym. Zarządca połączeń został zaprojektowany jako
lekki i używający jak najmniej zasobów, dzięki czemu może być łatwo
integrowany. Ma w pełni modularny system, który można rozszerzać
poprzez wtyczki, aby obsługiwał wszelkie rodzaje przewodowych i
bezprzewodowych połączeń. Metody konfiguracji, takie jak DHCP czy
rozwiązywanie nazw domenowych, także są implementowane poprzez
wtyczki. Takie podejście do wtyczek pozwala na łatwe adaptowanie i
modyfikowanie pod kątem różnych przypadków użycia.

%package devel
Summary:	Header files for ConnMan plugins
Summary(pl.UTF-8):	Pliki nagłówkowe dla wtyczek ConnMana
Group:		Development/Libraries
# doesn't require base

%description devel
Header files for ConnMan plugins.

%description devel -l pl.UTF-8
Pliki nagłówkowe dla wtyczek ConnMana.

%prep
%setup -q
%patch0 -p1

%build
%configure \
	L2TP=/usr/sbin/xl2tpd \
	PPPD=/usr/sbin/pppd \
	PPTP=/usr/sbin/pptp \
	WPASUPPLICANT=/usr/sbin/wpa_supplicant \
	--disable-silent-rules \
	--enable-hh2serial-gps \
	--enable-iospm \
	--enable-l2tp \
	--enable-nmcompat \
	--enable-openconnect \
	--enable-openvpn \
	--enable-polkit \
	--enable-pptp \
	--enable-tist \
	--enable-vpnc \
	--with-openconnect=/usr/sbin/openconnect \
	--with-openvpn=/usr/sbin/openvpn \
	--with-vpnc=/usr/bin/vpnc
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/connman/{plugins,plugins-vpn,scripts}/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog README TODO
%attr(755,root,root) %{_sbindir}/connmand
%attr(755,root,root) %{_sbindir}/connman-vpnd
%dir %{_libdir}/connman
%dir %{_libdir}/connman/plugins
%attr(755,root,root) %{_libdir}/connman/plugins/hh2serial-gps.so
%attr(755,root,root) %{_libdir}/connman/plugins/iospm.so
%attr(755,root,root) %{_libdir}/connman/plugins/tist.so
%dir %{_libdir}/connman/plugins-vpn
%attr(755,root,root) %{_libdir}/connman/plugins-vpn/l2tp.so
%attr(755,root,root) %{_libdir}/connman/plugins-vpn/openconnect.so
%attr(755,root,root) %{_libdir}/connman/plugins-vpn/openvpn.so
%attr(755,root,root) %{_libdir}/connman/plugins-vpn/pptp.so
%attr(755,root,root) %{_libdir}/connman/plugins-vpn/vpnc.so
%dir %{_libdir}/connman/scripts
%attr(755,root,root) %{_libdir}/connman/scripts/libppp-plugin.so*
%attr(755,root,root) %{_libdir}/connman/scripts/openconnect-script
%attr(755,root,root) %{_libdir}/connman/scripts/openvpn-script
/etc/dbus-1/system.d/connman.conf
/etc/dbus-1/system.d/connman-nmcompat.conf
/etc/dbus-1/system.d/connman-vpn-dbus.conf
/usr/share/dbus-1/system-services/net.connman.vpn.service
/usr/share/polkit-1/actions/net.connman.policy
/usr/share/polkit-1/actions/net.connman.vpn.policy
%{systemdunitdir}/connman.service
%{systemdunitdir}/connman-vpn.service
%{_mandir}/man5/connman.conf.5*
%{_mandir}/man8/connman.8*

%files devel
%defattr(644,root,root,755)
%doc doc/*.txt
%{_includedir}/connman
%{_pkgconfigdir}/connman.pc
%changelog
* Mon Oct 13 2014 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/connman.git;a=log;h=master

* Mon Oct 13 2014 Jakub Bogusz <qboosh@pld-linux.org> 39fb15f
- updated to 1.26

* Wed Sep 03 2014 Jakub Bogusz <qboosh@pld-linux.org> 0fac72d
- updated to 1.25

* Thu Jun 12 2014 Jakub Bogusz <qboosh@pld-linux.org> dc52a2b
- updated to 1.24

* Sun Apr 06 2014 Jakub Bogusz <qboosh@pld-linux.org> 7f3351d
- updated to 1.23

* Tue Mar 11 2014 Jakub Bogusz <qboosh@pld-linux.org> e6dc750
- updated to 1.22

* Sun Jan 26 2014 Jakub Bogusz <qboosh@pld-linux.org> 7867339
- updated to 1.21

* Sat Dec 07 2013 Jakub Bogusz <qboosh@pld-linux.org> d0ae3a4
- updated to 1.20

* Sun Oct 20 2013 Jakub Bogusz <qboosh@pld-linux.org> 546e2db
- updated to 1.19

* Mon Sep 09 2013 Jakub Bogusz <qboosh@pld-linux.org> 45646d1
- updated to 1.18

* Tue Aug 27 2013 Jakub Bogusz <qboosh@pld-linux.org> 2d45c93
- updated to 1.17

* Sun Jul 21 2013 Jakub Bogusz <qboosh@pld-linux.org> d81b860
- updated to 1.16

* Sat Jun 01 2013 Jan Rękorajski <baggins@pld-linux.org> 63b01b8
- package man pages

* Sat Jun 01 2013 Jan Rękorajski <baggins@pld-linux.org> d1f1934
- up to 1.15

* Fri Apr 12 2013 Jakub Bogusz <qboosh@pld-linux.org> 6a5acc9
- updated to 1.13

* Fri Mar 01 2013 Jakub Bogusz <qboosh@pld-linux.org> 5d30a47
- updated to 1.12
- added linux patch (<linux/if_bridge.h> needs struct ip6, at least in linux 3.8 headers)

* Fri Feb 01 2013 Jakub Bogusz <qboosh@pld-linux.org> be153ce
- updated to 1.11
- bluez 5 support in, wimax support out (upstream)

* Tue Jan 08 2013 Jakub Bogusz <qboosh@pld-linux.org> b63eb8d
- updated to 1.10

* Thu Nov 01 2012 Jakub Bogusz <qboosh@pld-linux.org> f070bc3
- updated to 1.9

* Sat Oct 13 2012 Jakub Bogusz <qboosh@pld-linux.org> 653233b
- updated to 1.8

* Sun Sep 30 2012 Jakub Bogusz <qboosh@pld-linux.org> 441b027
- updated to 1.7

